MainMenu = copy_table(BaseView)
MainMenu.definition = "main_menu"

function MainMenu:init(options)
    BaseView.init(self)

    if test_stamp then
        self.shortcuts.test_stamp.enabled = true
    end
    
    snd_play_music("music/hearts.ogg")
end

function MainMenu:play_button(obj)
    fw:change_view(GameSelector, nil, "blend")
end

function MainMenu:stories_button(obj)
    fw:change_view(StorySelector, nil, "blend")
end

function MainMenu:scores_button(obj)
    fw:change_view(MenuScores, nil, "blend")
end

function MainMenu:options_button(obj)
    fw:change_view(MenuOptions, nil, "blend")
end

function MainMenu:website_button(obj)
    net_open_web(game_website_url)
end

function MainMenu:exit_button(obj)
    sys_exit()
end

function MainMenu:quiz_button()
    net_open_web(quiz_url)
end
